<template>
  <v-main>
    <v-row no-gutters style="height: 150px">
      <v-col cols="12" sm="4">
        <v-card  class="pa-2" outlined tile>
          <div v-for="item in filteredItems4" :key="item.id">
            <v-img
              :src="`https://api20.cicdhosting.com${item.images[0].url}`"
              aspect-ratio="2.75"
            ></v-img>
            <v-card-text>{{ item.title }}</v-card-text>
            <v-card-actions>
              <v-btn text color="orange" x-small
                ><nuxt-link :to="`news/${item.slug}`"
                  >Readmore</nuxt-link
                ></v-btn
              >
            </v-card-actions>
             <!-- <div v-html="getLink3"> </div> -->
            <div
            class="fb-comments"
            v-bind:data-href="getLink3"
            data-width="370"
            data-numposts="3"
          ></div>
          </div>
        </v-card>
      </v-col>
      <v-col cols="12" sm="4">
        <v-card  class="pa-2" outlined tile>
          <div v-for="item in filteredItems4" :key="item.id">
            <v-img
              :src="`https://api20.cicdhosting.com${item.images[0].url}`"
              aspect-ratio="2.75"
            ></v-img>
            <v-card-text>{{ item.title }}</v-card-text>
            <v-card-actions>
              <v-btn text color="orange" x-small
                ><nuxt-link :to="`news/${item.slug}`"
                  >Readmore</nuxt-link
                ></v-btn
              >
            </v-card-actions>
          </div>

          <div>it my be second news</div>
        </v-card>
      </v-col>
        <v-col cols="12" sm="4">
        <v-card  class="pa-2" outlined tile>
          <div v-for="item in filteredItems3" :key="item.id">
            <v-img
              :src="`https://api20.cicdhosting.com${item.images[0].url}`"
              aspect-ratio="2.75"
            ></v-img>
            <v-card-text>{{ item.title }}</v-card-text>
            <v-card-actions>
              <v-btn text color="orange" x-small
                ><nuxt-link :to="`news/${item.slug}`"
                  >Readmore</nuxt-link
                ></v-btn
              >
            </v-card-actions>
          </div>

          <div
            class="fb-comments"
            data-href="https://api20.cicdhosting.com/${this.mountains.slug}"
            data-width="370"
            data-numposts="3"
          ></div>
        </v-card>
      </v-col>
    </v-row>
  </v-main>
</template>

<script>
export default {
  name: "Section2",
  data() {
    return {
      mountains: [],
    };
  },
  computed: {
    filteredItems1: function () {
      return this.mountains.slice(10, 13);
    },
    filteredItems2: function () {
      return this.mountains.slice(3, 5);
    },
    filteredItems3: function () {
      return this.mountains.slice(12, 13);
    },
    filteredItems4: function () {
      return this.mountains.slice(10, 11);
    },
     getLink3: function () {
      // `this` points to the vm instance
      let link='https://perfectpolitics.in/news/'+this.mountains.slice(10, 11)[0].slug
      return link
    }
  },
  async fetch() {
    this.mountains = await fetch(process.env.apiLink).then((res) => res.json());
  },
};
</script>

<style scoped>
a {
  text-decoration: none;
}
</style>
